com.google.apphosting.api

## Class ApiProxy.FeatureNotEnabledException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.google.apphosting.api.ApiProxy.ApiProxyException
        - - com.google.apphosting.api.ApiProxy.FeatureNotEnabledException

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    ApiProxy

      public static class ApiProxy.FeatureNotEnabledException
      extends ApiProxy.ApiProxyException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FeatureNotEnabledException(java.lang.String message)`
    `FeatureNotEnabledException(java.lang.String message, java.lang.String packageName, java.lang.String methodName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiProxy.FeatureNotEnabledException` | `cloneWithoutStackTrace()`

    - ### Methods inherited from class com.google.apphosting.api.ApiProxy.ApiProxyException

      `copy`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FeatureNotEnabledException

          public FeatureNotEnabledException(java.lang.String message,
                                            java.lang.String packageName,
                                            java.lang.String methodName)

    - #### FeatureNotEnabledException

          public FeatureNotEnabledException(java.lang.String message)

  - ### Method Detail

    - #### cloneWithoutStackTrace

          public ApiProxy.FeatureNotEnabledException cloneWithoutStackTrace()